Skip to main content
`Ctrl`+`K`

# PetscViewerCGNSGetSolutionIndex

Get index of solution

## Synopsis

    #include "petscviewer.h"
    #include "petscdmplex.h"
    PetscErrorCode PetscViewerCGNSGetSolutionIndex(PetscViewer viewer, PetscInt *solution_id)

Not Collective

## Input Parameter

- viewer - `PETSCVIEWERCGNS` `PetscViewer` for CGNS input/output to use with the specified file

## Output Parameter

- solution_id - Index of the solution id

## Notes

By default, solution_id is set to `-1` to mean the last solution available in the file

## See Also

`PETSCVIEWERCGNS`, `PetscViewerCGNSSetSolutionIndex()`, `PetscViewerCGNSGetSolutionInfo()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/cgns/cgnsv.c

## Examples

src/dm/impls/plex/tutorials/ex15.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages